#pragma once

enum {
	kIsNative = 1,
	kHas68K = 2
};

typedef struct {
	Str31		appName;
	short		flags;
} MyAppInfo, **MyAppInfoHand;

typedef pascal Handle (*G1RsrcProcPtr)(ResType, short);
typedef pascal void (*DrwStrProcPtr)(StringPtr);
typedef pascal void (*DrwMBarProcPtr)(void);
typedef pascal void (*E2SProcPtr)(void);

typedef struct {
	MyAppInfoHand	appInfo;
	G1RsrcProcPtr	oldG1RTrap;
	DrwStrProcPtr	oldDrwStrTrap;
	DrwMBarProcPtr	oldDrwMBarTrap;
	E2SProcPtr		oldE2STrap;
} MyGlobals;

typedef struct {
	MyGlobals**	pMyGlobals;
	Ptr			pGet1Rsrc;
	Ptr			pDrawString;
	Ptr			pDrawMenuBar;
	Ptr			pExitToShell;
} MyProcInfo;

extern MyGlobals	*glob;

extern long SetA4World(void);
extern void RestoreA4World(long);
//extern pascal Handle MyGet1Resource(ResType, short);
extern void MyGet1Resource(void);
extern pascal void MyDrawString(StringPtr);
extern pascal void MyDrawMenuBar(void);
extern pascal void MyExitToShell(void);
extern MyAppInfo*	FindAppInfo(StringPtr sp);

extern void		StartAnimation(void);
extern void		StopAnimation(void);