//
// File:	MyExitToShell.c
// Project:	IsNative.
// Author:	Glenn L. Austin
//			Symantec Corporation
//
#include "IsNative.h"

pascal void MyExitToShell(void)
{
	long		oldA4 = SetA4World();
	MyAppInfo	*info = FindAppInfo(LMGetCurApName());
	
	if (info)
	{
		THz		cZone = GetZone();
		long	ofs = info - *glob->appInfo;
		char	c;
		
		SetZone(SystemZone());
		Munger((Handle) glob->appInfo, ofs, nil, sizeof(MyAppInfo), &c, 0);
		SetZone(cZone);
	}
	
	(*glob->oldE2STrap)();
	
	RestoreA4World(oldA4);
}