//
// File:	MyHideWindow.c
// Project:	IsNative.
// Author:	Glenn L. Austin
//			Symantec Corporation
//
#include <Traps.h>
#include "IsNative.h"

WindowPtr	aboutWindow;
void*		oldHideWindowTrap;

pascal void MyHideWindow(WindowPtr theWindow)
{
	long	oldA4 = SetA4World();
	
	if (theWindow == aboutWindow)
	{
		SetToolTrapAddress(oldHideWindowTrap, _HideWindow);
		StopAnimation();
		aboutWindow = nil;
	}
	
	RestoreA4World(oldA4);
}
